/*
 * This file is part of jfreespace.
 *
 * Copyright (c) 2009-2012 Hillcrest Laboratories, Inc.
 *
 * jfreespace is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

package com.hcrest.jfreespace;

/**
 * Interface to filter devices.
 * @author <a href="mailto:Matt.Liberty@hcrest.com">Matt Liberty</a>
 * @version 1.0
 * @see Discovery#getDevices(DeviceFilterInterface)
 */
public interface DeviceFilterInterface {

    /**
     * Filter the specified using this filter.
     * @param device The specified device.
     * @return True if matches criteria, false otherwise.
     */
    boolean filterDevice(Device device);
}
